#include "photofieldwidget.h"
#include <QLabel>
#include <QPushButton>
#include <QVBoxLayout>
#include <QUrl>
#include <QInputDialog>
#include <QFile>
PhotoFieldWidget::PhotoFieldWidget(QWidget *parent) :
        AbstractFieldWidget(parent)
{

    mPhotoSize = QSize(64,100);
    mPhotoButton = new QPushButton;
    mHttp = new QHttp(this);
    mPhotoButton->setMinimumSize(mPhotoSize);

    setWidget(mPhotoButton);
    connect(mPhotoButton,SIGNAL(clicked()),this,SLOT(openDialog()));
    connect(mHttp,SIGNAL(done(bool)),this,SLOT(imageLoaded(bool)));

    setValue("http://www.ewtn.com/series/2003/Choices_we_face.jpg");
    mPhotoButton->setIconSize(mPhotoSize);
}
void PhotoFieldWidget::setValue(QVariant value)
{

    mImagePath = value.toUrl();
    mHttp->setHost(mImagePath.host());
    mHttp->get(mImagePath.path());
}

QVariant PhotoFieldWidget::value()
{

return mImagePath;

}


void PhotoFieldWidget::openDialog()
{

    QString path = QInputDialog::getText(this, "load image","Image Url");

    setValue(path);

}
void PhotoFieldWidget::imageLoaded(bool error)
{

    QPixmap  *pix = new QPixmap ;
    pix->loadFromData(mHttp->readAll());


    mPhotoButton->setIcon(QIcon(*pix));



}
